/**
Styles for Kohokohta.com
By Sampsa Vainio
sampsavainio.fi
@sajava
*/

body {
    font-size: 15px;
    font-family: 'raleway', sans-serif;
    color: #212121;
    background: url("http://cdn.kohokohta.com/wp-content/uploads/2016/02/iStock_000045576206_Large_v2.jpg");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

header {
	padding: 25px 0;
}

.wrapper {
	margin-top: 5px;
	background: #fff;
	border: 1px solid #c1c1c1;
}

.wrapper-inner {
	padding-top: 1rem;
}

.wrapper-sidebar {
	padding: 0 2rem;
}

footer {
	padding: 25px 0;
	background: #1e1f23;
}

/**
typography stuff
*/

h1, h2 {
	font-weight: 700;
}

h3, h4, h5, h6 {
	font-weight: 700;
}

a {
	color: #c0001f;
}

a:focus, a:hover {
	color: #8d0017;
}

.single-post-title {
	-ms-word-break: break-all;
	word-break: break-all;
	word-break: break-word;
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
}

.red {
	color: #c0001f;
}

.small {
	font-size: 13px;
}

.label a {
	color: #fff;
}

.label a:hover {
	text-decoration: none;
}

footer {
	color: #fff;
}

footer a {
	color: #fff;
	text-decoration: underline;
}

footer a:focus, footer a:hover {
	color: #fff;
}

footer h4 {
	text-transform: uppercase;
	color: #e30018;
}

footer ul.small-links li a {
	text-transform: uppercase;
	color: #ee172d;
}

hr {
	border-top: 1px solid #c1c1c1;
}

/**
pagination
*/

.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover {
	background-color: #c0001f;
	border-color: #c0001f;
}

.pagination>li>a, .pagination>li>span {
	color: #c0001f;
}

.pagination>li>a:focus, .pagination>li>a:hover, .pagination>li>span:focus, .pagination>li>span:hover {
    color: #fff;
    background-color: #c0001f;
}

/**
helpers
*/

.margin-0 {
	margin: 0;
}

.margin-top-0 {
	margin-top: 0;
}

.margin-top-10 {
	margin-top: 10px;
}

.margin-top-20 {
	margin-top: 20px;
}

.margin-top-25 {
	margin-top: 25px;
}

.margin-top-50 {
	margin-top: 50px;
}

.row.no-pad {
	margin-right: 0;
	margin-left: 0;
}

.row.no-pad > [class*='col-'] {
	padding-right: 0;
	padding-left: 0;
}

.border-top {
	border-top: 1px solid #c1c1c1;
}

.popular-post-image img {
	width: 100% !important;
	height: auto !important;
}

/**
cards
*/

.card {
	border-right: 1px solid #c1c1c1;
	background: #ffffff;
	padding: 2rem;
}

.wrapper-sidebar .card {
	border: none;
	padding: 0;
	margin-bottom: 2rem;
}

.card-block {
	padding: 1rem 0 0;
}

.card-block a:hover, .card a:hover {
	text-decoration: none;
}

.card-title {
	color: #c0001f;
	text-decoration: none;
	font-weight: 600;
	font-size: 20px;
}

.card-text {
	color: #373a3c;
	text-decoration: none;
	font-weight: 600;
	margin: 0;
}

.card-bg-image {
	background-size: contain !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
}

.blogger-card {
	background: #f1f1f1;
	padding: 2rem;
}

/**
articles
*/

.article-content, .article-content p {
	margin-bottom: 20px;
	font-size: 18px;
	font-weight: 300;
	line-height: 1.4;
}

.related-article {
	margin-bottom: 20px;
	min-height: 300px;
}

/**
buttons
*/

.btn-primary {
	background-image: none;
	background: #c0001f;
	border: 1px solid #c0001f;
}

.btn-primary:focus, .btn-primary:hover {
	background-image: none;
	background: #8d0017;
	border: 1px solid #8d0017;
}

.btn-facebook, .btn-twitter, .btn-instagram, .btn-pinterest {
	color: #ffffff !important;
	background-image: none;
	margin-bottom: 10px;
	border: none;
	font-weight: 600;
}

.btn-facebook {
	background: #3b5999;
}

.btn-twitter {
	background: #55acee;
}

.btn-instagram {
	background: #405de6;
}

.btn-pinterest {
	background: #bd081c;
}

.btn-facebook:hover, .btn-facebook:active, .btn-facebook:focus {
	background: #263962;
}

.btn-twitter:hover, .btn-twitter:active, .btn-twitter:focus {
	background: #1689e0;
}

.btn-instagram:hover, .btn-instagram:active, .btn-instagram:focus {
	background: #294a65;
}

.btn-pinterest:hover, .btn-pinterest:active, .btn-pinterest:focus {
	background: #740511;
}

/**
navbar
*/

.navbar {
	margin-bottom: 0;
}

.navbar-default {
	background-image: none;
	border-color: #c1c1c1;
	background: #fff;
	filter: none;
	box-shadow: none;
	padding: 20px 0 10px;
	border-radius: 0;
}

.navbar-default.past-main {
	padding: 10px 0 0;
}

.past-main .navbar-brand {
	height: 40px;
}

.past-main .navbar-brand img {
	max-height: 30px;
}

.past-main .navbar-nav {
	padding-top: 5px;
}

.navbar-brand {
	padding: 0;
	margin: 0;
}

.navbar-nav {
	padding-top: 10px;
}

.navbar-toggle {
	border: none;
}

.navbar-default .navbar-toggle:focus, .navbar-default .navbar-toggle:hover {
	background: transparent;
}

.navbar-nav > li {
	margin-left: 25px;
}

.nav > li > a {
	padding: 0;
	text-shadow: none;
	text-transform: uppercase;
	float: left;
	font-weight: 600;
}

.nav > li > i {
	float: left;
	font-size: 20px;
	margin-right: 7px;
	color: #777;
}

.nav > li.active i {
	color: #c0001f;
}

.navbar-default .navbar-nav>li.active>a, .navbar-default .navbar-nav>.open>a {
	background-image: none;
	background: none;
	filter: none;
	box-shadow: none;
	border: none;
	color: #c0001f;
}

.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:focus, .navbar-default .navbar-nav>.active>a:hover {
	background-image: none;
	background: none;
	filter: none;
	box-shadow: none;
	border: none;
	color: #c0001f;
}

.navbar-default .navbar-nav>.open>a, .navbar-default .navbar-nav>.open>a:focus, .navbar-default .navbar-nav>.open>a:hover {
	background-color: transparent;
}

/**
navbar form
*/

.search-form {
	margin-top: 20px;
	margin-bottom: 15px;
}

/**
navbar dropdown
*/

.navbar-nav>li>.dropdown-menu {
	margin-top: 20px;
}

.dropdown-menu.dropdown-center {
	background-color: #000;
	border: none;
}

.dropdown-menu.dropdown-center>li>a {
	color: #fff;
	text-transform: uppercase;
	font-weight: 600;
}

.dropdown-menu.dropdown-center>li>a:focus, .dropdown-menu.dropdown-center>li>a:hover {
	background: #000;
	color: #c0001f;
}

.dropdown-menu.dropdown-center>li>a {
	padding: 15px 25px;
}

.dropdown-center {
    left: auto !important;
    right: -55% !important;
}

.dropdown-center:after {
   left: auto !important;
   right: 45% !important;
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
	background-image: none;
	background: #000;
	color: #c0001f !important;
}

/**
helpers
*/

.margin-0 {
	margin: 0;
}

.margin-top-10 {
	margin-top: 10px;
}

.margin-top-15 {
	margin-top: 15px;
}

.margin-top-25 {
	margin-top: 25px;
}

.margin-top-40 {
	margin-top: 40px;
}

.margin-top-50 {
	margin-top: 50px;
}

/**
images
*/

.img-responsive {
	display: inline;
}

.article-content img {
	width: 100% !important;
	height: auto !important;
}

/**
responsive
*/

@media(max-width: 480px) {

	.navbar {
		min-height: 0px;
	}

	.navbar-nav {
		padding-top: 0;
		margin: 0 -15px;
		padding-bottom: 15px;
	}

	.navbar-default.past-main {
	    padding: 10px 0 0 0;
	}

	.navbar-default.past-main .navbar-toggle {
		margin-top: 5px;
	}

	.navbar-default {
		padding: 10px 0;
	}

	.navbar-collapse {
		position: relative;
		top: 10px;
	}

	.navbar-brand {
		margin-left: 20px;
		height: 30px;
	}

	.navbar-brand img {
		max-height: 15px;
		position: relative;
		top: 7px;
	}

	.nav > li > a {
		margin-top: 20px;
		float: none;
	}

	.card-bg-image {
		height: 210px;
	}

	.blogger-card {
		background: #fff;
		padding: 0rem;
	}

	.related-article {
		min-height: 230px;
	}
}

@media(max-width: 767px) {

	.container {
		width: auto;
	}

	.navbar-brand {
		margin-left: 15px;
	}

	.navbar-brand img {
		max-height: 35px;
		position: relative;
		top: 7px;
	}

	.card-bg-image {
		height: 210px;
	}
}

@media (min-width: 768px) {

    .navbar .navbar-nav {
        display: inline-block;
        float: none;
        vertical-align: top;
    }

    .navbar .navbar-collapse {
        text-align: center;
    }

    .navbar-right {
    	margin-right: 0;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {

	.container {
		width: auto;
	}

	.navbar>.container .navbar-brand, .navbar>.container-fluid .navbar-brand {
		margin-left: 0;
	}

	.navbar-brand img {
		max-height: 40px;
	}

	.card-bg-image {
		height: 420px;
	}

	.navbar-header {
        float: none;
    }

    .navbar-left,.navbar-right {
        float: none !important;
    }

    .navbar-toggle {
        display: block;
        padding: 5px 10px;
    }

    .navbar-collapse.collapse {
        display: none!important;
    }

    .navbar-nav {
        float: none!important;
		margin-top: 7.5px;
	}

	.navbar-nav>li, .navbar-nav>li>a {
        /*float: none;*/
        float: left;
    }

    .navbar-nav>li {
    	margin-bottom: 15px;
    }

    .collapse.in {
  		display:block !important;
	}

	.navbar-nav .open .dropdown-menu {
	    position: static;
	    float: none;
	    width: auto;
	    margin-top: 0;
	    background-color: transparent;
	    border: 0;
	    -webkit-box-shadow: none;
	    box-shadow: none;
	}

	.dropdown-menu.dropdown-center>li>a {
		color: #333;
		padding: 5px 15px;

	}
}

@media(min-width: 992px) {

	.navbar-brand img {
		max-height: 40px;
	}

	.card-bg-image {
		height: 420px;
	}

	.card-bg-image-small {
		height: 210px;
	}
}

@media(min-width:1200px) {

	.navbar-header {
		margin-left: 15px !important;
	}

	.card-bg-image {
		height: 420px;
	}
}
